:root {
    --my-bg-color: rgb(243, 239, 232);
    --my-text-color: rgb(112,96, 94);
    --my-BTN-color: rgb(229,199, 139);
    --my-BTN-Unuse-color: rgb(226,215, 204);
    --header-height: 8dvh;
    --footer-height: 80px; /* ปรับขนาดตามจริง */
    --font-size: 15px;
}

@font-face {
    font-family: 'inter-regular';
    src: url('../fonts/inter-regular.otf') format('opentype'), url('../fonts/inter-semibold.otf') format('opentype');
}

@font-face {
    font-family: 'inter-semibold';
    src: url('../fonts/inter-semibold.otf') format('opentype');
}

html, body {
    font-family: 'inter-regular' !important;
    color: var(--my-text-color) !important;
    font-size: var(--font-size) !important;
    margin: 0;
    padding: 0;
    height: 100% !important;
    
}
/*navbar*/
.navbar-custom {
    background-color: var(--my-BTN-color);
   
}

.navbar-brand {
    height: 50px;
}
.center-divcon {
    display: grid;
    align-items: center;
    justify-content: center;
    padding: 0 10% 0 10%
}
.center-divcon-Follower {
    display: grid;
    align-items: center;
    padding: 0 10% 0 10%
}
.img {
    height: 50px;
}
.bg-iconbar {
    display: flex;
    align-items: center; /* กลางแนวตั้ง */
    justify-content: center; /* กลางแนวนอน */
    height: 70px; /* ปรับตามความสูงแถบสีทองของคุณ */
  
    background-color: white;
    border-radius: 0 0 100% 100%;
    overflow: hidden;
    width: 100px;
}
.iconbar {
    margin-top: 5px;
    width: 100%;
    max-width: 80px;
    min-width: 20px;
}

.navbar-nav .nav-link {
    color: #000;
}

    .navbar-nav .nav-link:hover {
        color: #000;
        font-weight: bold;
    }

.btn-admin {
    background-color: transparent;
    border: none;
    font-weight: bold;
    color: #000;
    display: inline-flex;
    align-items: center;
}

    .btn-admin:hover {
        color: #000;
        font-weight: bold;
    }

.navbar-light .navbar-toggler {
    border-color: transparent;
}

.btn-admin:hover {
    color: #000;
    font-weight: bold;
}
.container-bg {
    background-color: white;
    margin-left: 5%;
    margin-right: 5%;
    border-radius: 20px;
    padding: 1% 5% 0 5%;
    box-shadow: 0px 0px 54px 10px rgba(0,0,0,0.1);
}
.btn-admin img {
    border-radius: 50%;
    margin-right: 15px;
    width: 100%;
    height: 100%;
    max-height: 45px;
    max-width: 45px;
    object-fit: cover;
}


.dropdown-menu-custom {
    background-color: var(--main-color);
    border-radius: 10px;
}

    .dropdown-menu-custom a {
        color: #000000;
        padding: 10px 20px;
        display: flex;
        align-items: center;
    }

        .dropdown-menu-custom a:hover {
            background-color: var(--main-color);
            color: #fff;
        }

        .dropdown-menu-custom a i {
            margin-right: 10px;
        }

.dropdown-toggle::after {
    display: none;
}

/*table.table.dataTable.table-striped > tbody > tr:nth-of-type(2n+1) > * {
    box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-stripe), 0.05);
}*/
/**/
.Text-page {
    color: var(--main-color);
}
.success-icon {
    width: 65px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .success-icon img {
        width: 100%;
    }
.modal-success-btn {
    
}
.row-left-div {
    padding-left: 1% !important;
}
.dt-empty {
    color: var(--my-text-color) !important;
} 
.modal-success-btn {
    width: 100% !important;
    background-color: var(--main-color);
    font-size: var(--font-size);
    font-weight: normal; /* น้ำหนักตัวอักษร */
    line-height: 1.2;
    height: 40px;
    width: 140px;
    color: var(--my-text-color);
}
    .modal-success-btn:hover {
        width: 100% !important;
        background-color: var(--main-color);
    }

.form-control, .form-select {
    color: var(--my-text-color) !important;
}
.thai-license-input {
    width: 100% !important;
}
#showuser tbody tr {
    background-color: #ffffff !important;
}

    #showuser tbody tr:nth-child(even) {
        background-color: #f5f5f5 !important; /* สีแถวคู่ */
    }
#Follower tbody tr {
    background-color: #ffffff !important;
}

    #Follower tbody tr:nth-child(even) {
        background-color: #f5f5f5 !important; /* สีแถวคู่ */
    }
.table > :not(caption) > * > * {
    background-color: unset !important;
    
}
.Details-data, .floordata {
    word-wrap: break-word; /* ตัดคำยาวๆ */
    overflow-wrap: break-word; /* รองรับ browser ใหม่ */
    white-space: normal; /* ให้ขึ้นบรรทัดใหม่ได้ */
    max-width:250px;
}
